{% extends 'base.html.twig' %}

{% block body %}
    <div class="col-lg-12">
        <h3>Liste Sprints :</h3>
        <div class="col-lg-12">
            <a class="btn btn-primary fa-pull-right" style="margin-bottom: 10px;" href="{{ path('sprint_new') }}">
                <i class="fa fa-plus-square"></i>  Ajouter une sprint
            </a>
        </div>
    </div>
    <div class="col-lg-12 table-responsive">
        <table class="table table-striped table-rounded-radius"  >
            <thead>
            <tr align="center">
                <th>Actions</th>
                <th>Nom</th>
                <th>Date Debut</th>
                <th>Date Fin</th>
            </tr>
            </thead>
            <tbody>
            {% if sprints is empty %}
                <tr>
                    <td colspan="5">
                        <p>Il y a pas des données</p>
                    </td>
                </tr>
            {% else %}
                {% for sprint in sprints %}
                    <tr align="center">
                        <td width="20%">
                            <a class="btn btn-danger" data-toggle="modal" data-target="#deleteAdmin{{ sprint.id }}" style="color: white"><i class="icon ion-md-trash"></i></a>
                            <a class="btn btn-warning" href="{{ path('sprint_edit', { 'id': sprint.id }) }}" style="color: white"><i class="fa fa-edit"></i></a>
                        </td>
                        <td>{{ sprint.name }}</td>
                        <td>{% if sprint.datedeb %}{{ sprint.datedeb|date('Y-m-d') }}{% endif %}</td>
                        <td>{% if sprint.datefin %}{{ sprint.datefin|date('Y-m-d') }}{% endif %}</td>
                    </tr>
                    <div class="modal fade" id="deleteAdmin{{ sprint.id }}" tabindex="-1" role="dialog" aria-labelledby="deleteAdmin" aria-hidden="true">
                        <div class="modal-dialog" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h5 class="modal-title" id="exampleModalLabel">Etes-vous sûr que vous voulez supprimer?</h5>
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </button>
                                </div>
                                <div class="modal-footer">
                                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Fermer</button>
                                    <a  class="btn btn-danger" href="{{ path('sprint_delete_get', { 'id': sprint.id }) }}" >Supprimer</a>
                                </div>
                            </div>
                        </div>
                    </div>

                {% endfor %}
            {% endif %}
            </tbody>
        </table>

    </div>
{% endblock %}
